use DBI;

# --- Feld conttyp1 prüfen -----------------------------------------------
sub Check_DbRc_DbDriver()
{
   &AddError("DbDriver", "No Driver, please select!!")
       if(!&GetField("DbDriver"));
}

sub PreCreateForm ()
{
   my @lResult;

   @lResult = DBI->available_drivers();

   &MySetVal("Layout Field DbDriver", "Values", join "\n", @lResult);

   &SetField("DbDriver",
             $oSessionGL->getState("CreateDbRc,DbDriver"));

}


sub MyBtnNext ()
{
   &CheckRecord();

   if(!&GetField("DbDriver"))
   {
      &GenPage();
   }
   else
   {
      $oSessionGL->setState("CreateDbRc,DbDriver",
                            &GetField("DbDriver"));

      print &Redirect(&GetAttr("SessionId"),
                      "WWWdb:Wiz:CreateDbRc_2");
   }
}

